package com.zkqy.system.entity;

import com.zkqy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zkqy.common.annotation.Excel;

/**
 * 动态单组对象 drag_form_group
 * 
 * @author hzh
 * @date 2024-01-26
 */
public class DragFormGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 表单组Key */
    @Excel(name = "表单组Key")
    private String groupKey;

    /** 动态组名称 */
    @Excel(name = "动态组名称")
    private String fGName;

    /** 当前表单组中所绑定的表单 */
    @Excel(name = "当前表单组中所绑定的表单")
    private String formKeys;

    /** 表单组主表名称（tableName:formKey） */
    @Excel(name = "表单组主表名称", readConverterExp = "t=ableName:formKey")
    private String mainTable;

    /** 各个表单之间的关系 */
    @Excel(name = "各个表单之间的关系")
    private String relationJson;

    /** 回显数据sql */
    @Excel(name = "回显数据sql")
    private String showDataSql;


    /** 逻辑删除 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGroupKey(String groupKey) 
    {
        this.groupKey = groupKey;
    }

    public String getGroupKey() 
    {
        return groupKey;
    }
    public void setfGName(String fGName) 
    {
        this.fGName = fGName;
    }

    public String getfGName() 
    {
        return fGName;
    }
    public void setFormKeys(String formKeys) 
    {
        this.formKeys = formKeys;
    }

    public String getFormKeys() 
    {
        return formKeys;
    }
    public void setMainTable(String mainTable) 
    {
        this.mainTable = mainTable;
    }

    public String getMainTable() 
    {
        return mainTable;
    }
    public void setRelationJson(String relationJson) 
    {
        this.relationJson = relationJson;
    }

    public String getRelationJson() 
    {
        return relationJson;
    }
    public void setShowDataSql(String showDataSql) 
    {
        this.showDataSql = showDataSql;
    }

    public String getShowDataSql() 
    {
        return showDataSql;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("groupKey", getGroupKey())
            .append("fGName", getfGName())
            .append("remark", getRemark())
            .append("formKeys", getFormKeys())
            .append("mainTable", getMainTable())
            .append("relationJson", getRelationJson())
            .append("showDataSql", getShowDataSql())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("updateById", getUpdateById())
            .append("createTime", getCreateTime())
            .append("createById", getCreateById())
            .append("createBy", getCreateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
